メインコンテンツへスキップ
POST
/
feature-flags
/
v3
/
{appId}
/
flags
/
{flagName}
/
portals
/
batch
/
delete
Batch delete account flag state
curl --request POST \
  --url https://api.hubapi.com/feature-flags/v3/{appId}/flags/{flagName}/portals/batch/delete \
  --header 'Authorization: Bearer <token>' \
  --header 'Content-Type: application/json' \
  --data '
{
  "portalIds": [
    123
  ]
}
'
import requests

url = "https://api.hubapi.com/feature-flags/v3/{appId}/flags/{flagName}/portals/batch/delete"

payload = { "portalIds": [123] }
headers = {
    "Authorization": "Bearer <token>",
    "Content-Type": "application/json"
}

response = requests.post(url, json=payload, headers=headers)

print(response.text)
const options = {
  method: 'POST',
  headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
  body: JSON.stringify({portalIds: [123]})
};

fetch('https://api.hubapi.com/feature-flags/v3/{appId}/flags/{flagName}/portals/batch/delete', options)
  .then(res => res.json())
  .then(res => console.log(res))
  .catch(err => console.error(err));


{
  "portalFlagStates": [
    {
      "appId": 123,
      "flagName": "<string>",
      "portalId": 123
    }
  ]
}
{
  "message": "Invalid input (details will vary based on the error)",
  "correlationId": "aeb5f871-7f07-4993-9211-075dc63e7cbf",
  "category": "VALIDATION_ERROR",
  "links": {
    "knowledge-base": "https://www.hubspot.com/products/service/knowledge-base"
  }
}

Supported products

承認

Authorization
string
header
必須

The access token received from the authorization server in the OAuth 2.0 flow.

パスパラメータ

appId
integer<int32>
必須
flagName
string
必須

ボディ

application/json
portalIds
integer<int32>[]
必須

レスポンス

successful operation

portalFlagStates
object[]
必須
最終更新日 2026年4月10日